\section{The Secretary Problem}
The \textit{Secretary Problem}, sometimes also referred to as the \textit{Marriage Problem}, the \textit{Game of Googol}, or the \textit{Best Choice Problem}, is a well-known problem in the field of optimal stopping theory. A common description is as follows: A list of candidates of varying quality is interviewed in a random order, where each ordering is equally likely. After each interview, the interviewer ranks the current candidate against the already interviewed candidates and makes a decision. The interviewer can accept the candidate, which ends the whole interview process, and no further candidates are interviewed, or he can reject the candidate, and the interviews continue. Once a candidate is rejected, it cannot be accepted later. The goal of the interviewer is to maximize the probability of accepting the best candidate. Since the interviewer can only rank the currently interviewed candidate against the previously interviewed candidates, the difficulty lies in deciding whether the current candidate will be the best overall or whether a better candidate will follow. 

The origin of the problem is a bit obscure, but according to Ferguson \cite{ferguson_who_1989}, it first appeared in print in Martin Gardner's February 1960 column in \textit{Scientific American}, where it was called the \textit{Game of Googol} \cite{gardner60}. He described the game as a two-player zero-sum game where one player writes down $n$ numbers between $1$ and a googol (a 1 with a hundred 0's) on slips of paper, turns them face down, and shuffles them. The other player turns the slips around one by one and has to stop once he thinks that he just turned around the largest number of the set. An optimal strategy, one that maximizes the chance of winning, was first given in Martin Gardner's March 1960 column in \textit{Scientific American} \cite{gardner-60-sol}. When the second player only makes his decision based on the current slip's relative rank, the optimal strategy's winning probability approaches $1/e\approx 0.37$ as the number of slips approaches infinity. 
The so-called \textit{1/e-law of best choice} approaches the winning probability of the optimal strategy as the number of candidates goes to infinity. One turns over $n/e \approx 0.37n$ of the slips and, after that, stops at the first slip that has the largest number so far. It is important that this analysis is only correct if the first player draws the numbers in such a way that the optimal strategy of the second player only depends on the relative ranks of the numbers and not on their value. For example, if the first player draws the numbers on the slips from a fixed distribution known to the second player, the second player has an advantage. Gilbert and Mosteller showed that in this case the second player has a winning probability of at least $0.58016$ \cite{gilbert66}. 
Gnedin showed that the first player can draw the numbers in such a way that the optimal strategy of the second player only depends on the relative ranks of the numbers \cite{gnedin94}.
